Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class WizPrint.BadArgs

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.interview.WizPrint.BadArgs

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  WizPrint

    public static class WizPrint.BadArgs

extends java.lang.Exception

This exception is to report problems that occur with command line arguments.

See Also:
  Serialized Form

Constructor Summary
`WizPrint.BadArgs(java.util.ResourceBundle i18n, java.lang.String s)` Create a Fault.
`WizPrint.BadArgs(java.util.ResourceBundle i18n, java.lang.String s, java.lang.Object o)` Create a Fault.
`WizPrint.BadArgs(java.util.ResourceBundle i18n, java.lang.String s, java.lang.Object[] o)` Create a Fault.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WizPrint.BadArgs

    public WizPrint.BadArgs(java.util.ResourceBundle i18n,
                            java.lang.String s)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.

### WizPrint.BadArgs

    public WizPrint.BadArgs(java.util.ResourceBundle i18n,
                            java.lang.String s,
                            java.lang.Object o)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.
    `o` - An argument to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

### WizPrint.BadArgs

    public WizPrint.BadArgs(java.util.ResourceBundle i18n,
                            java.lang.String s,
                            java.lang.Object[] o)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.
    `o` - An array of arguments to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.